org.apache.hc.core5.testing.nio

## Class LoggingIOSessionListener

- java.lang.Object
- - org.apache.hc.core5.testing.nio.LoggingIOSessionListener

- All Implemented Interfaces:
    IOSessionListener

      public class LoggingIOSessionListener
      extends Object
      implements IOSessionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingIOSessionListener` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected(IOSession session)`
    `void` | `disconnected(IOSession session)`
    `void` | `exception(IOSession session, Exception ex)`
    `void` | `inputReady(IOSession session)`
    `void` | `outputReady(IOSession session)`
    `void` | `startTls(IOSession session)`
    `void` | `timeout(IOSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggingIOSessionListener INSTANCE

  - ### Method Detail

    - #### connected

          public void connected(IOSession session)

      Specified by:
        `connected` in interface `IOSessionListener`

    - #### startTls

          public void startTls(IOSession session)

      Specified by:
        `startTls` in interface `IOSessionListener`

    - #### inputReady

          public void inputReady(IOSession session)

      Specified by:
        `inputReady` in interface `IOSessionListener`

    - #### outputReady

          public void outputReady(IOSession session)

      Specified by:
        `outputReady` in interface `IOSessionListener`

    - #### timeout

          public void timeout(IOSession session)

      Specified by:
        `timeout` in interface `IOSessionListener`

    - #### exception

          public void exception(IOSession session,
                                Exception ex)

      Specified by:
        `exception` in interface `IOSessionListener`

    - #### disconnected

          public void disconnected(IOSession session)

      Specified by:
        `disconnected` in interface `IOSessionListener`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.